    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.CardLayout

    java.lang.Object
       |
       +----java.awt.CardLayout

public class CardLayout
extends Object
implements LayoutManager2, Serializable

A `CardLayout` object is a layout manager for a container. It treats each component in the container as a card. Only one card is visible at a time, and the container acts as a stack of cards.

The ordering of cards is determined by the container's own internal ordering of its component objects. `CardLayout` defines a set of methods that allow an application to flip through these cards sequentially, or to show a specified card. The `addLayoutComponent` method can be used to associate a string identifier with a given card for fast random access.

See Also:
  Container

##

CardLayout()
  Creates a new card layout with gaps of size zero.
CardLayout(int, int)
  Creates a new card layout with the specified horizontal and vertical gaps.

##

addLayoutComponent(Component, Object)
  Adds the specified component to this card layout's internal table of names.
addLayoutComponent(String, Component)
  Deprecated.
first(Container)
  Flips to the first card of the container.
getHgap()
  Gets the horizontal gap between components.
getLayoutAlignmentX(Container)
  Returns the alignment along the x axis.
getLayoutAlignmentY(Container)
  Returns the alignment along the y axis.
getVgap()
  Gets the vertical gap between components.
invalidateLayout(Container)
  Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.
last(Container)
  Flips to the last card of the container.
layoutContainer(Container)
  Lays out the specified container using this card layout.
maximumLayoutSize(Container)
  Returns the maximum dimensions for this layout given the components in the specified target container.
minimumLayoutSize(Container)
  Calculates the minimum size for the specified panel.
next(Container)
  Flips to the next card of the specified container.
preferredLayoutSize(Container)
  Determines the preferred size of the container argument using this card layout.
previous(Container)
  Flips to the previous card of the specified container.
removeLayoutComponent(Component)
  Removes the specified component from the layout.
setHgap(int)
  Sets the horizontal gap between components.
setVgap(int)
  Sets the vertical gap between components.
show(Container, String)
  Flips to the component that was added to this layout with the specified `name`, using `addLayoutComponent`.
toString()
  Returns a string representation of the state of this card layout.

##

CardLayout

     public CardLayout()

  Creates a new card layout with gaps of size zero.

CardLayout

     public CardLayout(int hgap,
                       int vgap)

  Creates a new card layout with the specified horizontal and vertical gaps. The horizontal gaps are placed at the left and right edges. The vertical gaps are placed at the top and bottom edges.

  Parameters:
    hgap - the horizontal gap.
    vgap - the vertical gap.

##

getHgap

     public int getHgap()

  Gets the horizontal gap between components.

  Returns:
    the horizontal gap between components.
  See Also:
    setHgap, getVgap

setHgap

     public void setHgap(int hgap)

  Sets the horizontal gap between components.

  Parameters:
    hgap - the horizontal gap between components.
  See Also:
    getHgap, setVgap

getVgap

     public int getVgap()

  Gets the vertical gap between components.

  Returns:
    the vertical gap between components.
  See Also:
    setVgap, getHgap

setVgap

     public void setVgap(int vgap)

  Sets the vertical gap between components.

  Parameters:
    vgap - the vertical gap between components.
  See Also:
    getVgap, setHgap

addLayoutComponent

     public void addLayoutComponent(Component comp,
                                    Object constraints)

  Adds the specified component to this card layout's internal table of names. The object specified by `constraints` must be a string. The card layout stores this string as a key-value pair that can be used for random access to a particular card. By calling the `show` method, an application can display the component with the specified name.

  Parameters:
    comp - the component to be added.
    constraints - a tag that identifies a particular card in the layout.
  Throws: IllegalArgumentException
    if the constraint is not a string.
  See Also:
    show

addLayoutComponent

     public void addLayoutComponent(String name,
                                    Component comp)

  Note: addLayoutComponent() is deprecated. replaced by `addLayoutComponent(Component, Object)`.

removeLayoutComponent

     public void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Parameters:
    comp - the component to be removed.
  See Also:
    remove, removeAll

preferredLayoutSize

     public Dimension preferredLayoutSize(Container parent)

  Determines the preferred size of the container argument using this card layout.

  Parameters:
    parent - the name of the parent container.
  Returns:
    the preferred dimensions to lay out the subcomponents of the specified container.
  See Also:
    getPreferredSize, minimumLayoutSize

minimumLayoutSize

     public Dimension minimumLayoutSize(Container parent)

  Calculates the minimum size for the specified panel.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  Returns:
    the minimum dimensions required to lay out the subcomponents of the specified container.
  See Also:
    doLayout, preferredLayoutSize

maximumLayoutSize

     public Dimension maximumLayoutSize(Container target)

  Returns the maximum dimensions for this layout given the components in the specified target container.

  Parameters:
    target - the component which needs to be laid out
  See Also:
    Container, minimumLayoutSize, preferredLayoutSize

getLayoutAlignmentX

     public float getLayoutAlignmentX(Container parent)

  Returns the alignment along the x axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

getLayoutAlignmentY

     public float getLayoutAlignmentY(Container parent)

  Returns the alignment along the y axis. This specifies how the component would like to be aligned relative to other components. The value should be a number between 0 and 1 where 0 represents alignment along the origin, 1 is aligned the furthest away from the origin, 0.5 is centered, etc.

invalidateLayout

     public void invalidateLayout(Container target)

  Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

layoutContainer

     public void layoutContainer(Container parent)

  Lays out the specified container using this card layout.

  Each component in the `parent` container is reshaped to be the size of the container, minus space for surrounding insets, horizontal gaps, and vertical gaps.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  See Also:
    doLayout

first

     public void first(Container parent)

  Flips to the first card of the container.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  See Also:
    last

next

     public void next(Container parent)

  Flips to the next card of the specified container. If the currently visible card is the last one, this method flips to the first card in the layout.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  See Also:
    previous

previous

     public void previous(Container parent)

  Flips to the previous card of the specified container. If the currently visible card is the first one, this method flips to the last card in the layout.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  See Also:
    next

last

     public void last(Container parent)

  Flips to the last card of the container.

  Parameters:
    parent - the name of the parent container in which to do the layout.
  See Also:
    first

show

     public void show(Container parent,
                      String name)

  Flips to the component that was added to this layout with the specified `name`, using `addLayoutComponent`. If no such component exists, then nothing happens.

  Parameters:
    parent - the name of the parent container in which to do the layout.
    name - the component name.
  See Also:
    addLayoutComponent

toString

     public String toString()

  Returns a string representation of the state of this card layout.

  Returns:
    a string representation of this card layout.
  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.